Summary:	Recompression utilities
Name:		advancecomp
Version:	2.6
Release:	%mkrel 1
License:	GPLv3+
Group:		Archiving/Compression
URL:		https://www.advancemame.it/comp-readme.html
Source0:	https://github.com/amadvance/advancecomp/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		advancecomp-1.19-mga-option-doc.patch
Patch2:		advancecomp-2.6-mga-bzip2-test.patch
Patch3:		advancecomp-2.6-mga-unbundle-libdeflate.patch
BuildRequires:	pkgconfig(libdeflate)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libbzip2-devel

%description
AdvanceCOMP contains recompression utilities for your .zip
archives, .png images, .mng video clips and .gz files.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure --enable-bzip2 --disable-bundled-libdeflate
%make_build

%check
# The default check fails with bzip2 enabled due to bzip2 giving smaller than
# expected sizes, so it is patched accordingly.
%make_build check

%install
%make_install

%files
%doc AUTHORS HISTORY README
%{_bindir}/advzip
%{_bindir}/advpng
%{_bindir}/advmng
%{_bindir}/advdef
%{_mandir}/man1/*


%changelog
* Sat Oct 14 2023 danf <danf> 2.6-1.mga10
+ Revision: 1996224
- Update to ver. 2.6
- Use the system libdeflate instead of the vendored copy

* Fri Jan 27 2023 danf <danf> 2.5-1.mga9
+ Revision: 1936533
- Update to ver. 2.5

* Thu Dec 01 2022 danf <danf> 2.4-1.mga9
+ Revision: 1913933
- Update to ver. 2.4

* Tue Aug 09 2022 neoclust <neoclust> 2.3-1.mga9
+ Revision: 1876408
- New version 2.3

* Fri Mar 18 2022 umeabot <umeabot> 2.1-8.mga9
+ Revision: 1797888
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 2.1-7.mga9
+ Revision: 1790307
- Add dynamic-c17.patch to fix compatibility with gcc 12

* Tue Feb 18 2020 umeabot <umeabot> 2.1-6.mga8
+ Revision: 1541141
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 21 2019 danf <danf> 2.1-5.mga8
+ Revision: 1469339
- Fix an invalid memory address while decoding corrupt PNG image (CVE-2019-8383) (bug #25908)

* Sat Mar 23 2019 danf <danf> 2.1-4.mga7
+ Revision: 1379788
- Fixed a buffer over-read on malformed PNG files (bug #24535)

* Sat Mar 23 2019 danf <danf> 2.1-3.mga7
+ Revision: 1379782
- Fix a buffer overflow caused by invalid chunks CVE-2019-9210 (bug #24535)
- Enabled regression tests

* Sun Sep 23 2018 umeabot <umeabot> 2.1-2.mga7
+ Revision: 1297289
- Mageia 7 Mass Rebuild

* Wed Feb 21 2018 danf <danf> 2.1-1.mga7
+ Revision: 1203834
- Updated to ver. 2.1 (bug #22099)
  * Support ZIPs with data descriptor signature
  * Fixed a crash condition with invalid ZIP data (CVE-2018-1056)

* Wed Sep 27 2017 danf <danf> 2.0-1.mga7
+ Revision: 1160103
- Upgraded to ver. 2.0

* Thu May 12 2016 tv <tv> 1.20-3.mga6
+ Revision: 1014163
- use std build macros; prevent commented out macros to break build

* Wed Feb 10 2016 umeabot <umeabot> 1.20-2.mga6
+ Revision: 953049
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 danf <danf> 1.20-1.mga6
+ Revision: 868264
- Upgraded to 1.20. Major changes include:
 - Fixed .gz recompression of data bigger than 400 MB.
 - Fixed .gz recompression with -0 and -1 options.
 - Updated to the latest zopfli [Aaron Kaluszka].
 - Preserve the EFS flag in .zip files [Jason Penney].
- Rediffed fromdos.patch

* Wed Oct 15 2014 umeabot <umeabot> 1.19-3.mga5
+ Revision: 747630
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.19-2.mga5
+ Revision: 677703
- Mageia 5 Mass Rebuild

* Thu May 08 2014 danf <danf> 1.19-1.mga5
+ Revision: 621105
- Upgraded to ver. 1.19
- upgraded to 1.18
- removed bzip2-compile.patch as it was merged upstream

* Sat Oct 19 2013 umeabot <umeabot> 1.17-2.mga4
+ Revision: 530089
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 danf <danf> 1.17-1.mga4
+ Revision: 455400
- new upstream license is GPLv3+
- enabled bzip2 support with bzip2-compile.patch
- disabled self-check since it fails with bzip2 enabled
- document advzip -N option with option-doc.patch
- use dos2unix instead of fromdos with fromdos.patch which
  adds a new BuildRequires on autoconf/automake
- brought spec file into line with Mageia style
- removed unneeded BuildRequires
- imported package advancecomp

